Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Nieder <jrnieder@gmail.com>2010-04-12 18:24:28 +0400
committerJunio C Hamano <gitster@pobox.com>2010-04-13 09:10:50 +0400
commit63a2f6139c33b7231baad8e3bfcc218ef6b63418 (patch)
tree6db594e48cbd288ed144636b6a8434d71c4e9fce /t/t5800-remote-helpers.sh
parentf733f6a0c690a3d5e399c438d4dc3f2307418171 (diff)
t5800: testgit helper requires Python support
git remote-testgit is written in Python. In a NO_PYTHON build, tests using it would fail, so skip them. Signed-off-by: Jonathan Nieder <jrnieder@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t5800-remote-helpers.sh')
-rwxr-xr-xt/t5800-remote-helpers.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/t5800-remote-helpers.sh b/t/t5800-remote-helpers.sh
index eb31709b97..75a0163c07 100755
--- a/t/t5800-remote-helpers.sh
+++ b/t/t5800-remote-helpers.sh
@@ -7,6 +7,12 @@ test_description='Test remote-helper import and export commands'
. ./test-lib.sh
+if ! test_have_prereq PYTHON
+then
+ say 'skipping git remote-testgit tests: requires Python support'
+ test_done
+fi
+
test_expect_success 'setup repository' '
git init --bare server/.git &&
git clone server public &&